:root {
  --bg-btn: #f9f9f9;
  --bg-btn-hover: #e0e0e0;
  --bg-card: #ffffff;
  --bg-header: #fffbfb;
  --bg-main: #f0f0f0be;
  --border-color: #000000;
  --border-radius: 12px;
  --font-main: Arial, sans-serif;
  --shadow-main: 0 4px 8px rgba(0, 0, 0, 0.1);
}

body {
  background-color: var(--bg-main);
  font-family: var(--font-main);
  margin: 0;
  padding: 20px;
}

header {
  background-color: var(--bg-header);
  border: 1px solid var(--border-color);
  border-radius: var(--border-radius);
  box-shadow: var(--shadow-main);
  margin: 20px auto;
  padding: 16px;
  text-align: center;
  width: fit-content;
}

main {
  display: block;
}

.profile-card {
  background-color: var(--bg-card);
  border: 1px solid var(--border-color);
  border-radius: var(--border-radius);
  box-shadow: var(--shadow-main);
  margin: 20px auto;
  min-width: 240px; 
  padding: 16px;
  text-align: center;
  width: 85%;
}

.portfolio-btn {
  background-color: var(--bg-btn);
  border: 1px solid var(--border-color);
  border-radius: var(--border-radius);
  box-shadow: var(--shadow-main);
  margin: 20px auto 0 auto;
  padding: 16px;
  transition: background-color 0.2s ease;
  width: fit-content;
}

.portfolio-btn:hover {
  background-color: var(--bg-btn-hover); 
}

.portfolio-btn a {
  color: inherit;
  font-weight: bold;
  text-decoration: none;
}

body {
    margin: 0;
    font-family: Arial, sans-serif;
    background-color: #f4f4f9;
}

.top-taskbar {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 46px;
    background-color: #070707;
    z-index: 1000;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 20px;
    box-sizing: border-box;
}

.logo {
    color: #fff;
    font-weight: bold;
    font-size: 1.2rem;
}

.nav-links a {
    border: none;
    color: #f2f2f2;
    text-decoration: none;
    padding: 14px 16px;
    font-size: 1rem;
    transition: background-color 0.3s;
}

.nav-links a:hover {
    background-color: #ddd;
    color: #000;
}

.nav-links a.active {
    background-color: #f2f2f2;
    color: #000;
}

.content {
    padding: 20px;
    margin-top: 80px;
    height: 2000px;
}
